Results 1 to 13 of 13
  1. valeriep's Avatar
    Posts
    29 Posts
    Global Posts
    30 Global Posts
       #1  
    I am on my 3rd pre this week. Spirnt finally gave me a new replacement as opposed to the 2 refurbs i had rec'd. So today, i extracted my PalmDatabase.db3 file from my old phone. exchanged it and have attempted several times to send the file to my new phone- ever time i send it i keep getting "restore required"- and my phone resets back to factory default. anyone experience this or know why it would be happening?? i know i don't have to put that file back but there is a lot on on there i want to keep. I am so aggravated with this stupid phone!!

    on another note- what program could i use to open and read the information on the db3 file, if there is anything??
  2. #2  
    Quote Originally Posted by Valeriep View Post
    I am on my 3rd pre this week. Spirnt finally gave me a new replacement as opposed to the 2 refurbs i had rec'd. So today, i extracted my PalmDatabase.db3 file from my old phone. exchanged it and have attempted several times to send the file to my new phone- ever time i send it i keep getting "restore required"- and my phone resets back to factory default. anyone experience this or know why it would be happening?? i know i don't have to put that file back but there is a lot on on there i want to keep. I am so aggravated with this stupid phone!!

    on another note- what program could i use to open and read the information on the db3 file, if there is anything??
    What version of the OS is your backup?
  3. LNWJ's Avatar
    Posts
    447 Posts
    Global Posts
    625 Global Posts
    #3  
    backup version and phone OS version are probably not the same?
  4. valeriep's Avatar
    Posts
    29 Posts
    Global Posts
    30 Global Posts
       #4  
    both were 1.4.1.1

    i did it easily with the last 2 replacements i had. i even doctored it- still keeps restoring.
  5. LNWJ's Avatar
    Posts
    447 Posts
    Global Posts
    625 Global Posts
    #5  
    Sounds corrupted.
  6. #6  
    Quote Originally Posted by Valeriep View Post
    both were 1.4.1.1

    i did it easily with the last 2 replacements i had. i even doctored it- still keeps restoring.
    IDK... maybe somebody with experience in this kind of thing will see this and jump in to help.
  7. #7  
    i agree, sounds corrupted, maybe the update to 1.4.1.1 didn't take for some reason, i would just try updating again or doctoring to 1.4.1.1., if it still doesnt work then maybe something in the db3 file is corrupted...if so i wouldnt even know how to check...sorry
  8. #8  
    did you use save/restore and the other back up methods in preware?
  9. #9  
    I've had a pre since launch day (though this is an insurance replacement), i responded to a text message and then got this "restore required" message. Does anyone know what causes this?
  10. #10  
    Quote Originally Posted by Valeriep View Post
    on another note- what program could i use to open and read the information on the db3 file, if there is anything??
    Yep, you can use a Firefox plugin called SQLite Manager (sqlite-manager - Project Hosting on Google Code). It should open it up just fine (i just tried opening mine just to be sure it still worked and it did it just fine).
  11. #11  
    I've had 2 "restore required" episodes in the last 72 hours, was deleting read email. One year old Pre, no homebrew installed. Should I take it in?
  12. #12  
    It's because of the profile, you logged in to your Pre with your profile and then slapped the PalmDatabase.db3 file in. The problem is that the file also contains information about the currently logged profile which, although is the same, it has a different hash value than the one stored in Palm.

    The fix? There's not yet a fix until 2.x which backs up your messages, so, you can look for a program to read your messages from your db3 file, and don't put your PalmDatabase.db3 file.

    Sorry, that's how it works. The moment you don't overwrite the file you'll no longer have the restore required procedure.
  13. #13  
    Quote Originally Posted by lc96 View Post
    I've had 2 "restore required" episodes in the last 72 hours, was deleting read email. One year old Pre, no homebrew installed. Should I take it in?
    Sorry for the necro, but I've had this problem too. At first I was curious because the first episode happened on the day Palm's big announcement was supposed to happen and I chalked it up to "okay, maybe they're getting everyone set on a baseline to allow 2.0 to install quicker," I called Sprint, they said they didn't know of any updates.

    Fast forward to today, I just had a second restore required an hour or so ago, and it wiped all my apps out, but kept the two shortcuts to CNN.com and weather.com that I keep in the launcher.

    The first time I had it happen, my pre was hacked and had homebrew apps on it. VBA, Battery Doctor, Preware, and a few others. The second, I may have forgotten to take the phone out of Devmode when I was having trouble hacking my pre, I haven't used this computer to hack my pre, I'd always used a different computer, but they're out of town for a while.

    Could putting the pre in dev-mode be causing it?

Posting Permissions